import request from '@/utils/request'
	
/**
 * @Descripttion: 涉及产品Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-11-22)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-11-22)
*/

// 涉及产品分页查询列表
export function productsInvolvedList(query) {
  return request({
    url: '/business/ProductsInvolved/getProductsInvolvedList',
    method: 'get',
    params: query
  })
}

// 涉及产品新增或修改
export function addOrUpdateProductsInvolved(data) {
  return request({
    url: '/business/ProductsInvolved/addOrUpdateProductsInvolved',
    method: 'post',
    data: data,
  })
}

// 涉及产品删除
export function delProductsInvolved(ids) {
  return request({
    url: '/business/ProductsInvolved/'+ ids,
    method: 'delete'
  })
}

// 涉及产品导出
export function exportProductsInvolved(query) {
  return request({
    url: 'business/ProductsInvolved/exportProductsInvolved',
    method: 'get',
    params: query
  })
}

